## ri-li 2.0.1%2Bds

=== debian/changelog ===
ri-li (2.0.1+ds-7) unstable; urgency=medium

  * Revert "Drop no-sdl-timers-for-makedat.patch again."
    (Closes: #848063)

 -- Markus Koschany <apo@debian.org>  Mon, 20 Feb 2017 21:43:00 +0100

ri-li (2.0.1+ds-6) unstable; urgency=medium

  * Drop no-sdl-timers-for-makedat.patch again.
    Apparently it is not sufficient to resolve the build failures.
  * Add link-with-X11.patch.
    Apparently this one resolves the build failures on arm64 (and probably
    other build environments)

 -- Markus Koschany <apo@debian.org>  Mon, 20 Feb 2017 01:27:15 +0100

ri-li (2.0.1+ds-5) unstable; urgency=medium

  * Add no-sdl-timers-for-makedat.patch and work around a build environment
    limitation. Thanks to Steve Cotton for the patch. (Closes: #848063)

 -- Markus Koschany <apo@debian.org>  Sun, 19 Feb 2017 19:28:23 +0100

ri-li (2.0.1+ds-4) unstable; urgency=medium

  * Switch to compat level 10.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Git: Use https.
  * Run xvfb-run with the -a option and try to get a free DISPLAY server
    automatically. (Closes: #848063)

 -- Markus Koschany <apo@debian.org>  Tue, 13 Dec 2016 19:59:25 +0100

ri-li (2.0.1+ds-3) unstable; urgency=medium

  * Move imagemagick to Build-Depends.

 -- Markus Koschany <apo@debian.org>  Wed, 02 Dec 2015 19:38:54 +0100

ri-li (2.0.1+ds-2) unstable; urgency=medium

  [ Paul Wise ]
  * Fix build reproducibility issues due to use of imagemagick.

  [ Markus Koschany ]
  * Moved the package to Git.
  * Declare compliance with Debian Policy 3.9.6.
  * debian/rules: Fix FTBFS when built with dpkg-buildpackage -A.
    Thanks to Santiago Vila for the report. (Closes: #806872)
  * Update my e-mail address.

 -- Markus Koschany <apo@debian.org>  Wed, 02 Dec 2015 18:37:14 +0100

ri-li (2.0.1+ds-1) unstable; urgency=medium

  [ Miguel Telleria de Esteban ]
  * Added Spanish comment translation in ri-li.desktop file.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org.

  [ Cyril Brulebois ]
  * Remove myself from Uploaders.

  [ Gonéri Le Bouder ]
  * Remove myself from Uploaders.

  [ Markus Koschany ]
  * Add myself to Uploaders.
  * Use the absolute icon path to display the menu icon. (Closes: #726886)
  * Switch to source format 3.0 (quilt).
  * Use compat level 9 and require debhelper >= 9.
  * wrap-and-sort -sa.
  * Drop quilt build-dependency. Source format 3.0 uses quilt by default.
  * Declare compliance with Debian Policy 3.9.5.
  * Add ${misc:Depends} substvar to binary packages.
  * ri-li-data: Remove superfluous ${shlibs:Depends} substvar.
  * ri-li-data: Change Recommends ri-li to Suggests.
  * Add comment in German to desktop file.
    - Thanks to Ronny Standtke for the report and patch. (Closes: #725182)
  * Add keywords to desktop file.
  * Drop dpkg-dev build-dependency. It is no longer required.
  * Build with autoreconf. Add dh-autoreconf to Build-Depends.
  * Install README AUTHORS NEWS with ri-li.docs
  * Remove duplicate Source: control fields in debian/control.
  * Fix lintian warning synopsis starts with article.
  * Drop docbook-to-man build-dependency and ri-li.sgml. Convert man page to
    ri-li.6 manually and install it with manpages file.
  * Drop the following patches. They were either not applied or they are not
    necessary.
    - 10_data_in_usr_games_ri-li.patch.
    - 20_remove_gentoo_dir.diff.
    - 50_remove_-lpthread.diff.
  * Rename the remaining patch to fix-gcc4.3-ftbfs.patch. Refresh and update
    it for the new files in data-src. Add DEP-3 header.
  * Add fix-compiler-warnings.patch to fix deprecated code conventions.
  * Update debian/watch. Mangle the version correctly. Improve extension regex.
  * Fix spelling and grammar errors in package description.
    - Thanks to Chris King and Justin B Rye for the report and patch
      (Closes: #714015)
  * Build the data and language files from source.
    - Add libsdl-image1.2-dev, xauth and xvfb to Build-Depends.
    - Repack the source tarball and merge the development files and the release
      tarball into one source package. Remove prebuilt data files.
    - Add a new get-orig-source target in debian/rules.
    - dh_auto_build-arch: Build MakeDat and build the data files.
      (Closes: #383007)
  * Install high resolution icon to /usr/share/icons/hicolor/128x128/apps.
    - Thanks Ronny Standtke for the report. (Closes: #725181)
  * Simplify debian/rules by using dh sequencer.
  * Update debian/copyright to copyright format 1.0.
  * Add clean file. Ensure that Ri-li can be built twice in a row.
  * Add Breaks and Replaces to ri-li-data since the icons have been moved to
    the arch-independent package.

 -- Markus Koschany <apo@gambaru.de>  Fri, 18 Apr 2014 16:38:28 +0200

ri-li (2.0.1-2) unstable; urgency=low

  [ Barry deFreese ]
  * Add myself to uploaders.
  * Fix binary-indep target. (Closes: #470311).

  [ Gonéri Le Bouder ]
  * clean the .pc directory

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 20 Apr 2008 21:32:04 +0200

ri-li (2.0.1-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * Fix typos in the long description (Closes: #444827).
  * Fix FTBFS with gcc 4.3 by getting rid of pre-ISO C++ headers,
    replacing “#include <iostream.h>” with “#include <iostream>”
    followed by “using namespace std;” (Closes: #461705). Add the
    40_fix_gcc4.3_ftbfs patch to this effect.

  [ Eddy Petrișor ]
  * remove myself from the Uploaders list

  [ Barry deFreese ]
  * New upstream release
  * Remove deprecated encoding tag from desktop file and full path in exec
  * Remove XS- from VCS fields in control
  * Add Homepage field in control
  * 20_remove_gentoo_dir.diff - Remove gentoo subdir from Makefile.*
  * Bug #383007 mentions using a merged tarball to get the data package
    + source but I am not sure how to effectively do that.

  [ Gonéri Le Bouder ]
  * add 50_remove_-lpthread.diff so the linker is not called with the useless

