## ri-li 2.0.1%2Bds2

=== debian/control ===
Source: ri-li
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bdefreese@debian.org>,
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 zlib1g-dev
Build-Depends-Indep:
 imagemagick
Standards-Version: 4.6.1
Homepage: http://www.ri-li.org/
Vcs-Git: https://salsa.debian.org/games-team/ri-li.git
Vcs-Browser: https://salsa.debian.org/games-team/ri-li

Package: ri-li
Architecture: any
Depends:
 ri-li-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: toy train simulation game
 Ri-li is a game in which you drive a wooden toy steam locomotive across many
 levels and collect all the coaches to win.
 .
 It features:
  * a colorful animated wooden steam locomotive;
  * 50 game levels;
  * 3 beautiful tunes and many sound effects;
  * 14 languages (Arabic, Breton, Chinese, English, Esperanto, French,
     German, Italian, Japanese, Portuguese, Russian, Slovak, Spanish, and
     Swedish).

Package: ri-li-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Suggests:
 ri-li
Description: toy train simulation game - data files
 Ri-li is a game in which you drive a wooden toy steam locomotive across many
 levels and collect all the coaches to win.
 .
 This package provides data files for the game.
