## ri-li 2.0.1+ds

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,23 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
+ Stu Teasdale <sdt@debian.org>,
  Barry deFreese <bdefreese@debian.org>,
  Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 9),
+ dh-autoreconf,
+ imagemagick,
  libsdl-image1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl1.2-dev,
+ xauth,
+ xvfb,
  zlib1g-dev
-Build-Depends-Indep:
- imagemagick
-Standards-Version: 4.6.1
+Standards-Version: 3.9.6
 Homepage: http://www.ri-li.org/
-Vcs-Git: https://salsa.debian.org/games-team/ri-li.git
-Vcs-Browser: https://salsa.debian.org/games-team/ri-li
+Vcs-Git: git://anonscm.debian.org/pkg-games/ri-li.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/ri-li.git
 
 Package: ri-li
 Architecture: any
@@ -38,11 +41,14 @@
 
 Package: ri-li-data
 Architecture: all
-Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Suggests:
  ri-li
+Breaks:
+ ri-li (<< 2.0.1+ds-1)
+Replaces:
+ ri-li (<< 2.0.1+ds-1)
 Description: toy train simulation game - data files
  Ri-li is a game in which you drive a wooden toy steam locomotive across many
  levels and collect all the coaches to win.
