## ri-li 2.0.1+ds2

=== debian/changelog ===
ri-li (2.0.1+ds2-1) unstable; urgency=medium

  * Do not install the xpm icon anymore.
  * Do not build the data files from source automatically.
    Data files can be built from source on all normal desktop PCs on which the
    game can be played. Apparently some issues exist when building the game
    data on a headless server though hence why the game data should be built
    manually like before version 2.0.1+ds-1 was introduced to the
    archive. (Closes: #1006063, #855777)
  * Add a README.source file.

 -- Markus Koschany <apo@debian.org>  Thu, 24 Feb 2022 01:22:29 +0100

ri-li (2.0.1+ds-11) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.0.
  * Mark ri-li-data Multi-Arch: foreign.
  * Fix FTBFS with GCC 11. (Closes: #984319)

 -- Markus Koschany <apo@debian.org>  Thu, 14 Oct 2021 20:50:22 +0200

ri-li (2.0.1+ds-10) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.1.
  * Remove obsolete Breaks and Replaces.
  * Override dh_missing. Use --list-missing.

 -- Markus Koschany <apo@debian.org>  Sat, 02 Jan 2021 23:42:17 +0100

ri-li (2.0.1+ds-9) unstable; urgency=medium

  * Build the data files only once because they are architecture-independent.

 -- Markus Koschany <apo@debian.org>  Sat, 08 Dec 2018 16:18:31 +0100

ri-li (2.0.1+ds-8) unstable; urgency=medium

  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Use canonical VCS URI.
  * Drop deprecated menu file.

 -- Markus Koschany <apo@debian.org>  Fri, 07 Dec 2018 23:11:02 +0100
