=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
  Barry deFreese <bdefreese@debian.org>,
  Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
- imagemagick,
+ debhelper-compat (= 13),
  libsdl-image1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl1.2-dev,
+ zlib1g-dev
+Build-Depends-Indep:
+ imagemagick,
  xauth,
- xvfb,
- zlib1g-dev
-Standards-Version: 3.9.6
+ xvfb
+Standards-Version: 4.6.0
 Homepage: http://www.ri-li.org/
-Vcs-Git: git://anonscm.debian.org/pkg-games/ri-li.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/ri-li.git
+Vcs-Git: https://salsa.debian.org/games-team/ri-li.git
+Vcs-Browser: https://salsa.debian.org/games-team/ri-li
 
 Package: ri-li
 Architecture: any
@@ -41,14 +41,11 @@
 
 Package: ri-li-data
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Suggests:
  ri-li
-Breaks:
- ri-li (<< 2.0.1+ds-1)
-Replaces:
- ri-li (<< 2.0.1+ds-1)
 Description: toy train simulation game - data files
  Ri-li is a game in which you drive a wooden toy steam locomotive across many
  levels and collect all the coaches to win.
