=== debian/rules ===
--- 
+++ 
@@ -9,23 +9,35 @@
 export PNGRBTD=+set date:create +set date:modify $(PNGRBT)
 
 %:
-	dh $@ --with autoreconf
+	dh $@
+
+override_dh_missing:
+	dh_missing --list-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--datadir=/usr/share/games/ri-li \
 		--bindir=/usr/games
 
-override_dh_auto_build:
+override_dh_auto_build-indep:
+# Uncomment to build the data files from source
 	dh_auto_build -Ddata-src
-	cd data-src && xvfb-run --server-args="-screen 0 1024x768x24" ./MakeDat
-	mv data-src/language.* data
-	mv data-src/sprites.dat data
-	convert -monitor -resize 32x32 data-src/pov/Textures/Ri-li.ico ri-li.xpm
+#	cd data-src && xvfb-run -a --server-args="-screen 0 1024x768x24" ./MakeDat
+#	mv data-src/language.* data
+#	mv data-src/sprites.dat data
 	convert -monitor data-src/pov/Textures/Ri-li.ico $(PNGRBTD) ri-li.png
 
+override_dh_auto_build-arch:
+	dh_auto_build -Dsrc
+
+override_dh_auto_test:
+	# Do nothing here
+
+override_dh_auto_install-arch:
+	# Do nothing here and handle installation manually.
+
 override_dh_install-arch:
-	mv debian/tmp/usr/games/Ri_li debian/tmp/usr/games/ri-li
+	mv src/Ri_li src/ri-li
 	dh_install
 
 override_dh_install-indep:
