=== debian/changelog ===
ri-li (3.1.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:09:51 +0000

ri-li (3.1.4-1build1) noble; urgency=high

  * No change rebuild against libsimpleini1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:53:26 +0100

ri-li (3.1.4-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.1.4 (Closes: #382693)
  * Add new libsimpleini-dev build-dependency
  * Use upstream .desktop file & high resolution icon (LP: #1544448)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 22 Jan 2024 21:35:07 +0100

ri-li (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1 (Closes: #1047780)
  * new build based on cmake
  * switch to SDL2 (Closes: #1038549)
  * remove ancient SDL1 patches
  * set "Rules-Require-Root: no"
  * original upstream is unresponsive, switch to "Li-ri" fork:
    * change url's
    * add 2023 copyright for new maintainer
  * install AppStream metadata
  * install upstream .png icons, drop ImageMaick dependency
  * declares "Standards-Version: 4.6.2"

 -- Alexandre Detiste <tchet@debian.org>  Thu, 11 Jan 2024 01:32:50 +0100

ri-li (2.0.1+ds2-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.1.
  * Remove xauth and xvfb from Build-Depends-Indep.
  * Remove Stuart Teasdale from Uploaders because he has retired.
    (Closes: #1011996)

 -- Markus Koschany <apo@debian.org>  Sat, 27 Aug 2022 15:36:16 +0200
