=== debian/control ===
--- 
+++ 
@@ -1,28 +1,27 @@
 Source: ri-li
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
- Stu Teasdale <sdt@debian.org>,
  Barry deFreese <bdefreese@debian.org>,
  Markus Koschany <apo@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- libsdl-image1.2-dev,
- libsdl-mixer1.2-dev,
- libsdl1.2-dev,
- zlib1g-dev
-Build-Depends-Indep:
- imagemagick,
- xauth,
- xvfb
-Standards-Version: 4.6.0
-Homepage: http://www.ri-li.org/
+# .github/workflows/codeql.yml
+ cmake,
+ libsdl2-mixer-dev,
+ libsimpleini-dev,
+Rules-Requires-Root: no
+Homepage: https://github.com/petitlapin/Li-Ri
+# http://www.ri-li.org/
 Vcs-Git: https://salsa.debian.org/games-team/ri-li.git
 Vcs-Browser: https://salsa.debian.org/games-team/ri-li
+Standards-Version: 4.6.2
 
 Package: ri-li
 Architecture: any
+Provides: li-ri
 Depends:
  ri-li-data (>= ${source:Version}),
  ${misc:Depends},
