=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DLIRI_DATA_DIR=/usr/share/games/ri-li \
	  -DCMAKE_INSTALL_PREFIX=/usr \
	  -DCMAKE_INSTALL_DATADIR=/usr/share

execute_after_dh_install-arch:
	mv debian/ri-li/usr/games/Li-ri debian/ri-li/usr/games/ri-li
	sed -i 's/Exec=Li-ri/Exec=ri-li/' debian/ri-li/usr/share/applications/io.github.petitlapin.Li-ri.desktop
	sed -i 's/keywords=/Keywords=/' debian/ri-li/usr/share/applications/io.github.petitlapin.Li-ri.desktop
