=== debian/watch ===
version=4
https://github.com//petitlapin/Li-Ri/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
