## ri-li 3.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ### The current version number
 set(LIRI_VERSION_MAJOR 3)
 set(LIRI_VERSION_MINOR 1)
-set(LIRI_VERSION_PATCH 4)
+set(LIRI_VERSION_PATCH 6)
 set(LIRI_VERSION ${LIRI_VERSION_MAJOR}.${LIRI_VERSION_MINOR}.${LIRI_VERSION_PATCH})
 
 set(LIRI_EXECUTABLE_NAME Li-ri)
@@ -33,12 +33,18 @@
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_EXTENSIONS OFF)
 
-include(FetchContent)
-FetchContent_Declare(simpleini
-  GIT_REPOSITORY https://github.com/brofield/simpleini.git
-  GIT_TAG        09c21bda1dc1b578fa55f4a005d79b0afd481296 # v4.22
-  )
-FetchContent_MakeAvailable(simpleini)
+
+option (USE_SYSTEM_SIMPLEINI "Use system SimpleIni instead of FetchContent" OFF)
+if(USE_SYSTEM_SIMPLEINI)
+  find_package(SimpleIni REQUIRED CONFIG)
+else()
+  include(FetchContent)
+  FetchContent_Declare(simpleini
+    GIT_REPOSITORY https://github.com/brofield/simpleini.git
+    GIT_TAG        09c21bda1dc1b578fa55f4a005d79b0afd481296 # v4.22
+    )
+  FetchContent_MakeAvailable(simpleini)
+endif()
 
 add_executable(${LIRI_EXECUTABLE_NAME} WIN32
   src/audio.cc
@@ -49,6 +55,8 @@
   src/editor.h
   src/game.cc
   src/game.h
+  src/gamepad.cc
+  src/gamepad.h
   src/loco.cc
   src/loco.h
   src/main.cc
@@ -67,6 +75,10 @@
 configure_file(src/config.h.in "${CMAKE_CURRENT_BINARY_DIR}/config.h" @ONLY)
 target_include_directories(${LIRI_EXECUTABLE_NAME} PUBLIC ${CMAKE_CURRENT_BINARY_DIR})
 
+if(LINUX)
+  target_compile_definitions(${LIRI_EXECUTABLE_NAME} PUBLIC "-DSI_NO_CONVERSION=1")
+endif()
+
 if(USE_CONAN)
   target_link_libraries(${LIRI_EXECUTABLE_NAME} PRIVATE SDL2::SDL2 SDL2_mixer::SDL2_mixer)
 else()
@@ -79,9 +91,9 @@
 
 include(GNUInstallDirs)
 install(TARGETS ${LIRI_EXECUTABLE_NAME}
-  ARCHIVE DESTINATION bin
-  RUNTIME DESTINATION bin
-  LIBRARY DESTINATION lib
+  ARCHIVE DESTINATION ${CMAKE_INSTALL_BINDIR}
+  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
   BUNDLE DESTINATION .)
 
 install(FILES io.github.petitlapin.Li-ri.appdata.xml DESTINATION "${CMAKE_INSTALL_DATADIR}/appdata/")
