=== debian/changelog ===
ri-li (3.1.6-1) unstable; urgency=medium

  * Team Upload
  * d/gbp.conf: added with pristine.
  * d/watch: version 5
  * New upstream version 3.1.6
  * d/rules: build using libsimpleini
  * d/control: remove RRR: no (default)
  * d/control: switch to SV 4.7.2.
  * d/patches: refresh.

 -- Patrice Duroux <patrice.duroux@gmail.com>  Mon, 29 Dec 2025 19:20:39 +0100
