=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ri-li
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Barry deFreese <bdefreese@debian.org>,
  Markus Koschany <apo@debian.org>
@@ -12,12 +11,11 @@
  cmake,
  libsdl2-mixer-dev,
  libsimpleini-dev,
-Rules-Requires-Root: no
 Homepage: https://github.com/petitlapin/Li-Ri
 # http://www.ri-li.org/
 Vcs-Git: https://salsa.debian.org/games-team/ri-li.git
 Vcs-Browser: https://salsa.debian.org/games-team/ri-li
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 
 Package: ri-li
 Architecture: any
