=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 	dh_auto_configure -- \
 	  -DLIRI_DATA_DIR=/usr/share/games/ri-li \
 	  -DCMAKE_INSTALL_PREFIX=/usr \
-	  -DCMAKE_INSTALL_DATADIR=/usr/share
+	  -DCMAKE_INSTALL_DATADIR=/usr/share \
+	  -DUSE_SYSTEM_SIMPLEINI=ON
 
 execute_after_dh_install-arch:
 	mv debian/ri-li/usr/games/Li-ri debian/ri-li/usr/games/ri-li
