=== debian/watch ===
Version: 5

Template: GitHUb
Owner: petitlapin
Project: Li-Ri
